.form {
	margin-bottom: 3rem;
	padding: 0 1rem;
	&__text {
		color: darkgray;
		font-size: 1.1rem;
		@include media-breakpoint-up(xl) {
			font-size: 1.25rem;
		}
	}
	&__input {
		position: relative;
		// overflow: hidden;
	}
	&__input input {
		height: 3.5rem;
		width: 100%;
		padding: 0;
		padding-left: 1rem;
		z-index: 40;
		background-color: transparent;
		border: 1px solid darkgray;
	}
	&__input input:focus-visible {
		border: 1px solid $primary;
		outline: none;
	}
	&__input input::placeholder {
		color: darkgray;
		font-size: 1rem;
	}
	&__input input:focus::placeholder {
		color: white !important;
	}
	&__label {
		display: none;
		font-size: 0.7rem;
		color: darkgray;
		position: absolute;
		top: 0;
		transform: translateY(100%);
		padding-left: 1rem;
		z-index: -1;
		opacity: 0;
		transition: 1s;
	}
	&__label-file {
		color: darkgray;
		font-size: 1rem;
		position: absolute;
		top: 50%;
		transform: translateY(-50%);
		left: 1rem;
	}
	&__input textarea {
		border: 1px solid darkgray;
		padding: 1rem 0 0 1rem;
		width: 100%;
	}
	&__input textarea::placeholder {
		color: darkgray;
		font-size: 1rem;
	}
	&__input textarea:focus::placeholder {
		color: white !important;
	}
	&__input textarea:focus-visible {
		outline: none;
		border: 1px solid $primary;
	}
	&__input-flie {
		position: relative;
	}
	&__file {
		margin-bottom: 1rem;
		height: 3rem;
		opacity: 0;
		width: 100%;
		height: 3rem;
		z-index: 3;
		text-align: right;
		cursor: pointer;
	}
	&__input-file p {
		height: 3.5rem;
		border: 1px solid darkgray;
		margin: 0;
		position: relative;
	}
	&__input-file p .wpcf7-form-control-wrap {
		// background-color: red;
		// border: 1px solid red;
		height: 3rem !important;
		position: absolute;
		top: 0;
		width: 100%;
	}
	&__input-priv p {
		font-size: 0.7rem;
	}
	&__input-priv div {
		margin-left: 1rem;
	}
	&__input-priv a {
		color: $primary !important;
		font-size: 0.7rem;
		font-weight: bold;
	}
	&__input-priv {
		margin-bottom: 2rem;
	}
	&__img {
		width: 100%;
		height: auto;
	}
	&__line {
		border-bottom: 2px solid $primary;
		width: 15rem;
		padding-bottom: 1rem;
	}
	&__email svg {
		width: 2rem;
		padding-right: 1rem;
	}
	&__icon {
		position: absolute;
		top: 50%;
		transform: translateY(-50%);
		right: 1rem;
		z-index: -1;
	}
	&__icon svg {
		width: 2rem;
		height: auto;
	}
	&__icon svg path {
		fill: $primary;
	}
}

.form input[type='submit'] {
	background-color: $primary;
	color: black;
	border: none;
	font-weight: normal;
	border: 1px solid $primary;
	padding: 1rem 2.5rem !important;
	&:hover {
		background-color: transparent;
		color: $primary;
	}
	@include media-breakpoint-up(lg) {
		padding: 1.1rem 3rem;
	}
}

.form p {
	line-height: normal;
	margin-bottom: 0;
}

#file-upload-button {
	cursor: pointer;
}